Index: debian/changelog
===================================================================
--- debian/changelog	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ debian/changelog	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -1,2 +1,8 @@
+bitlbee (3.2.2-2) UNRELEASED; urgency=medium
+
+  * Fix copyright info (Closes: #764181)
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Fri, 17 Oct 2014 23:25:33 +0100
+
 bitlbee (3.2.2-1) unstable; urgency=medium
 
Index: debian/copyright
===================================================================
--- debian/copyright	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ debian/copyright	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -7,11 +7,11 @@
          Maurits Dijkstra, Geert Mulders, Miklos Vajna and others.
 
-Mainly Copyright 2002-2012 Wilmer van der Gaast.
+Mainly Copyright 2002-2014 Wilmer van der Gaast.
 
 
-Bits of third party code, also GPLed:
-* Some parts (mostly protocols/oscar/) are borrowed from Gaim (version
-  0.58), now known as Pidgin <http://www.pidgin.im/>.
+Bits of third party code, also (L)GPLed:
 * protocols/yahoo/ is libyahoo2 <http://libyahoo2.sf.net/>.
+* Some parts (though there is very little left at this point) are borrowed
+  from Gaim (version 0.58), now known as Pidgin <http://www.pidgin.im/>.
 
 Other license (but GPL-compatible):
@@ -40,4 +40,23 @@
 
 
+Portions (mostly protocols/twitter and protocols/oscar) are licenced under
+the LGPL:
+
+============================================================================
+  This library is free software; you can redistribute it and/or
+  modify it under the terms of the GNU Lesser General Public
+  License as published by the Free Software Foundation, version
+  2.1.
+
+  This library is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+  Lesser General Public License for more details.
+
+  You should have received a copy of the GNU Lesser General Public License
+  along with this library; if not, write to the Free Software Foundation,
+  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+============================================================================
+
 
 The SGML-formatted documentation is written by Jelmer Vernooij
Index: lib/arc.c
===================================================================
--- lib/arc.c	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/arc.c	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2006 Wilmer van der Gaast <wilmer@gaast.net>                   *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
-*                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
+*                                                                           *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
-*                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
+*                                                                           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 \***************************************************************************/
Index: lib/json_util.c
===================================================================
--- lib/json_util.c	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/json_util.c	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2012-2012 Wilmer van der Gaast <wilmer@gaast.net>              *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
 *                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
 *                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 ****************************************************************************/
Index: lib/json_util.h
===================================================================
--- lib/json_util.h	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/json_util.h	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2012-2012 Wilmer van der Gaast <wilmer@gaast.net>              *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
 *                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
 *                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 ****************************************************************************/
Index: lib/oauth.c
===================================================================
--- lib/oauth.c	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/oauth.c	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2010 Wilmer van der Gaast <wilmer@gaast.net>                   *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
-*                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
+*                                                                           *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
-*                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
+*                                                                           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 \***************************************************************************/
Index: lib/xmltree.c
===================================================================
--- lib/xmltree.c	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/xmltree.c	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2006-2012 Wilmer van der Gaast <wilmer@gaast.net>              *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
 *                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
 *                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 ****************************************************************************/
Index: lib/xmltree.h
===================================================================
--- lib/xmltree.h	(revision 5cb21d1cb6590638da27107b84764c888445875b)
+++ lib/xmltree.h	(revision 4f7255d4bed610a77cefd9786fe13c1d673b11bb)
@@ -6,17 +6,17 @@
 *  Copyright 2006-2012 Wilmer van der Gaast <wilmer@gaast.net>              *
 *                                                                           *
-*  This library is free software; you can redistribute it and/or            *
-*  modify it under the terms of the GNU Lesser General Public               *
-*  License as published by the Free Software Foundation, version            *
-*  2.1.                                                                     *
+*  This program is free software; you can redistribute it and/or modify     *
+*  it under the terms of the GNU General Public License as published by     *
+*  the Free Software Foundation; either version 2 of the License, or        *
+*  (at your option) any later version.                                      *
 *                                                                           *
-*  This library is distributed in the hope that it will be useful,          *
+*  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
-*  Lesser General Public License for more details.                          *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
+*  GNU General Public License for more details.                             *
 *                                                                           *
-*  You should have received a copy of the GNU Lesser General Public License *
-*  along with this library; if not, write to the Free Software Foundation,  *
-*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*  You should have received a copy of the GNU General Public License along  *
+*  with this program; if not, write to the Free Software Foundation, Inc.,  *
+*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
 *                                                                           *
 ****************************************************************************/
